Bug 1375740 - IPv6 addresses not selectable field for reports
Summary: IPv6 addresses not selectable field for reports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Tim Wade
QA Contact: Mike Shriver
URL:
Whiteboard: ipv6:report
Depends On:
Blocks: 1448140 1448141
TreeView+ depends on / blocked
 
Reported: 2016-09-13 21:20 UTC by Dave Johnson
Modified: 2017-09-26 13:45 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1448140 1448141 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:21:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
report column select screenshot (123.12 KB, image/png)
2016-09-13 21:20 UTC, Dave Johnson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Dave Johnson 2016-09-13 21:20:24 UTC
Created attachment 1200630 [details]
report column select screenshot

Description of problem:
========================
Investigating IPv6 support, it appears there is no way to show IPv6 addresses from within a report.  There is an option to show IP addresses as a selectable report column however it does not show IPv6 addresses.  Most likely as its a different column as seen in the screenshots of bug 1375737

Please review the screenshots.


Version-Release number of selected component (if applicable):
=========================
5.6.1.2

Comment 3 Tim Wade 2017-04-17 21:19:19 UTC
Dave,

Just had a look at this. It looks like the linked BZ's fix would also address this, but it was marked as euwe/no. Do we want to backport it?

As a workaround in this version you can get the ipv6 addresses by selecting Hardware.Networks : Ipv6addresses

Comment 4 Dave Johnson 2017-05-02 19:42:09 UTC
I think we would want to backport this if it is fairly straight forward.

Comment 5 Tim Wade 2017-05-02 20:42:23 UTC
I've requested that the original PR be backported to Euwe/Darga: https://github.com/ManageIQ/manageiq/pull/13190#issuecomment-298753303

Comment 8 Mike Shriver 2017-05-26 15:03:18 UTC
Tested in CFME 5.8.0.17

The Networks: Ipv6address field is now selectable for reports, and displays the configured and discovered IPv6 addresses on the resources managed by the appliance, as well as the appliance itself.

Comment 10 errata-xmlrpc 2017-05-31 14:21:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.